<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
    <!-- Generated by javadoc -->
    <title>StandardRecord (POI API Documentation)</title>
    <link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
    <script type="text/javascript" src="../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="StandardRecord (POI API Documentation)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":6,"i1":10,"i2":10,"i3":6};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],4:["t3","Abstract Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";

</script>
<noscript>
    <div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.top.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li class="navBarCell1Rev">Class</li>
        <li><a href="class-use/StandardRecord.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../../org/apache/poi/hssf/record/SSTRecord.html"
               title="class in org.apache.poi.hssf.record"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
        <li><a href="../../../../../org/apache/poi/hssf/record/StringRecord.html"
               title="class in org.apache.poi.hssf.record"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../index.html?org/apache/poi/hssf/record/StandardRecord.html" target="_top">Frames</a>
        </li>
        <li><a href="StandardRecord.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_top">
        <li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <div>
        <ul class="subNavList">
            <li>Summary:&nbsp;</li>
            <li>Nested&nbsp;|&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.summary">Method</a></li>
        </ul>
        <ul class="subNavList">
            <li>Detail:&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.detail">Method</a></li>
        </ul>
    </div>
    <a name="skip.navbar.top">
        <!--   -->
    </a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
    <div class="subTitle">org.apache.poi.hssf.record</div>
    <h2 title="Class StandardRecord" class="title">Class StandardRecord</h2>
</div>
<div class="contentContainer">
    <ul class="inheritance">
        <li>java.lang.Object</li>
        <li>
            <ul class="inheritance">
                <li><a href="../../../../../org/apache/poi/hssf/record/RecordBase.html"
                       title="class in org.apache.poi.hssf.record">org.apache.poi.hssf.record.RecordBase</a></li>
                <li>
                    <ul class="inheritance">
                        <li><a href="../../../../../org/apache/poi/hssf/record/Record.html"
                               title="class in org.apache.poi.hssf.record">org.apache.poi.hssf.record.Record</a></li>
                        <li>
                            <ul class="inheritance">
                                <li>org.apache.poi.hssf.record.StandardRecord</li>
                            </ul>
                        </li>
                    </ul>
                </li>
            </ul>
        </li>
    </ul>
    <div class="description">
        <ul class="blockList">
            <li class="blockList">
                <dl>
                    <dt>Direct Known Subclasses:</dt>
                    <dd><a href="../../../../../org/apache/poi/hssf/record/chart/AreaFormatRecord.html"
                           title="class in org.apache.poi.hssf.record.chart">AreaFormatRecord</a>, <a
                            href="../../../../../org/apache/poi/hssf/record/chart/AreaRecord.html"
                            title="class in org.apache.poi.hssf.record.chart">AreaRecord</a>, <a
                            href="../../../../../org/apache/poi/hssf/record/AutoFilterInfoRecord.html"
                            title="class in org.apache.poi.hssf.record">AutoFilterInfoRecord</a>, <a
                            href="../../../../../org/apache/poi/hssf/record/chart/AxisLineFormatRecord.html"
                            title="class in org.apache.poi.hssf.record.chart">AxisLineFormatRecord</a>, <a
                            href="../../../../../org/apache/poi/hssf/record/chart/AxisOptionsRecord.html"
                            title="class in org.apache.poi.hssf.record.chart">AxisOptionsRecord</a>, <a
                            href="../../../../../org/apache/poi/hssf/record/chart/AxisParentRecord.html"
                            title="class in org.apache.poi.hssf.record.chart">AxisParentRecord</a>, <a
                            href="../../../../../org/apache/poi/hssf/record/chart/AxisRecord.html"
                            title="class in org.apache.poi.hssf.record.chart">AxisRecord</a>, <a
                            href="../../../../../org/apache/poi/hssf/record/chart/AxisUsedRecord.html"
                            title="class in org.apache.poi.hssf.record.chart">AxisUsedRecord</a>, <a
                            href="../../../../../org/apache/poi/hssf/record/BackupRecord.html"
                            title="class in org.apache.poi.hssf.record">BackupRecord</a>, <a
                            href="../../../../../org/apache/poi/hssf/record/chart/BarRecord.html"
                            title="class in org.apache.poi.hssf.record.chart">BarRecord</a>, <a
                            href="../../../../../org/apache/poi/hssf/record/chart/BeginRecord.html"
                            title="class in org.apache.poi.hssf.record.chart">BeginRecord</a>, <a
                            href="../../../../../org/apache/poi/hssf/record/BlankRecord.html"
                            title="class in org.apache.poi.hssf.record">BlankRecord</a>, <a
                            href="../../../../../org/apache/poi/hssf/record/BOFRecord.html"
                            title="class in org.apache.poi.hssf.record">BOFRecord</a>, <a
                            href="../../../../../org/apache/poi/hssf/record/BookBoolRecord.html"
                            title="class in org.apache.poi.hssf.record">BookBoolRecord</a>, <a
                            href="../../../../../org/apache/poi/hssf/record/BottomMarginRecord.html"
                            title="class in org.apache.poi.hssf.record">BottomMarginRecord</a>, <a
                            href="../../../../../org/apache/poi/hssf/record/BoundSheetRecord.html"
                            title="class in org.apache.poi.hssf.record">BoundSheetRecord</a>, <a
                            href="../../../../../org/apache/poi/hssf/record/CalcCountRecord.html"
                            title="class in org.apache.poi.hssf.record">CalcCountRecord</a>, <a
                            href="../../../../../org/apache/poi/hssf/record/CalcModeRecord.html"
                            title="class in org.apache.poi.hssf.record">CalcModeRecord</a>, <a
                            href="../../../../../org/apache/poi/hssf/record/chart/CategorySeriesAxisRecord.html"
                            title="class in org.apache.poi.hssf.record.chart">CategorySeriesAxisRecord</a>, <a
                            href="../../../../../org/apache/poi/hssf/record/chart/CatLabRecord.html"
                            title="class in org.apache.poi.hssf.record.chart">CatLabRecord</a>, <a
                            href="../../../../../org/apache/poi/hssf/record/CellRecord.html"
                            title="class in org.apache.poi.hssf.record">CellRecord</a>, <a
                            href="../../../../../org/apache/poi/hssf/record/CFHeaderBase.html"
                            title="class in org.apache.poi.hssf.record">CFHeaderBase</a>, <a
                            href="../../../../../org/apache/poi/hssf/record/CFRuleBase.html"
                            title="class in org.apache.poi.hssf.record">CFRuleBase</a>, <a
                            href="../../../../../org/apache/poi/hssf/record/chart/ChartEndBlockRecord.html"
                            title="class in org.apache.poi.hssf.record.chart">ChartEndBlockRecord</a>, <a
                            href="../../../../../org/apache/poi/hssf/record/chart/ChartEndObjectRecord.html"
                            title="class in org.apache.poi.hssf.record.chart">ChartEndObjectRecord</a>, <a
                            href="../../../../../org/apache/poi/hssf/record/chart/ChartFormatRecord.html"
                            title="class in org.apache.poi.hssf.record.chart">ChartFormatRecord</a>, <a
                            href="../../../../../org/apache/poi/hssf/record/chart/ChartFRTInfoRecord.html"
                            title="class in org.apache.poi.hssf.record.chart">ChartFRTInfoRecord</a>, <a
                            href="../../../../../org/apache/poi/hssf/record/chart/ChartRecord.html"
                            title="class in org.apache.poi.hssf.record.chart">ChartRecord</a>, <a
                            href="../../../../../org/apache/poi/hssf/record/chart/ChartStartBlockRecord.html"
                            title="class in org.apache.poi.hssf.record.chart">ChartStartBlockRecord</a>, <a
                            href="../../../../../org/apache/poi/hssf/record/chart/ChartStartObjectRecord.html"
                            title="class in org.apache.poi.hssf.record.chart">ChartStartObjectRecord</a>, <a
                            href="../../../../../org/apache/poi/hssf/record/chart/ChartTitleFormatRecord.html"
                            title="class in org.apache.poi.hssf.record.chart">ChartTitleFormatRecord</a>, <a
                            href="../../../../../org/apache/poi/hssf/record/CodepageRecord.html"
                            title="class in org.apache.poi.hssf.record">CodepageRecord</a>, <a
                            href="../../../../../org/apache/poi/hssf/record/ColumnInfoRecord.html"
                            title="class in org.apache.poi.hssf.record">ColumnInfoRecord</a>, <a
                            href="../../../../../org/apache/poi/hssf/record/ContinueRecord.html"
                            title="class in org.apache.poi.hssf.record">ContinueRecord</a>, <a
                            href="../../../../../org/apache/poi/hssf/record/CountryRecord.html"
                            title="class in org.apache.poi.hssf.record">CountryRecord</a>, <a
                            href="../../../../../org/apache/poi/hssf/record/CRNCountRecord.html"
                            title="class in org.apache.poi.hssf.record">CRNCountRecord</a>, <a
                            href="../../../../../org/apache/poi/hssf/record/CRNRecord.html"
                            title="class in org.apache.poi.hssf.record">CRNRecord</a>, <a
                            href="../../../../../org/apache/poi/hssf/record/chart/DataFormatRecord.html"
                            title="class in org.apache.poi.hssf.record.chart">DataFormatRecord</a>, <a
                            href="../../../../../org/apache/poi/hssf/record/pivottable/DataItemRecord.html"
                            title="class in org.apache.poi.hssf.record.pivottable">DataItemRecord</a>, <a
                            href="../../../../../org/apache/poi/hssf/record/chart/DataLabelExtensionRecord.html"
                            title="class in org.apache.poi.hssf.record.chart">DataLabelExtensionRecord</a>, <a
                            href="../../../../../org/apache/poi/hssf/record/DateWindow1904Record.html"
                            title="class in org.apache.poi.hssf.record">DateWindow1904Record</a>, <a
                            href="../../../../../org/apache/poi/hssf/record/chart/DatRecord.html"
                            title="class in org.apache.poi.hssf.record.chart">DatRecord</a>, <a
                            href="../../../../../org/apache/poi/hssf/record/DBCellRecord.html"
                            title="class in org.apache.poi.hssf.record">DBCellRecord</a>, <a
                            href="../../../../../org/apache/poi/hssf/record/DConRefRecord.html"
                            title="class in org.apache.poi.hssf.record">DConRefRecord</a>, <a
                            href="../../../../../org/apache/poi/hssf/record/DefaultColWidthRecord.html"
                            title="class in org.apache.poi.hssf.record">DefaultColWidthRecord</a>, <a
                            href="../../../../../org/apache/poi/hssf/record/chart/DefaultDataLabelTextPropertiesRecord.html"
                            title="class in org.apache.poi.hssf.record.chart">DefaultDataLabelTextPropertiesRecord</a>,
                        <a href="../../../../../org/apache/poi/hssf/record/DefaultRowHeightRecord.html"
                           title="class in org.apache.poi.hssf.record">DefaultRowHeightRecord</a>, <a
                                href="../../../../../org/apache/poi/hssf/record/DeltaRecord.html"
                                title="class in org.apache.poi.hssf.record">DeltaRecord</a>, <a
                                href="../../../../../org/apache/poi/hssf/record/DimensionsRecord.html"
                                title="class in org.apache.poi.hssf.record">DimensionsRecord</a>, <a
                                href="../../../../../org/apache/poi/hssf/record/DrawingRecord.html"
                                title="class in org.apache.poi.hssf.record">DrawingRecord</a>, <a
                                href="../../../../../org/apache/poi/hssf/record/DrawingSelectionRecord.html"
                                title="class in org.apache.poi.hssf.record">DrawingSelectionRecord</a>, <a
                                href="../../../../../org/apache/poi/hssf/record/DSFRecord.html"
                                title="class in org.apache.poi.hssf.record">DSFRecord</a>, <a
                                href="../../../../../org/apache/poi/hssf/record/DVALRecord.html"
                                title="class in org.apache.poi.hssf.record">DVALRecord</a>, <a
                                href="../../../../../org/apache/poi/hssf/record/DVRecord.html"
                                title="class in org.apache.poi.hssf.record">DVRecord</a>, <a
                                href="../../../../../org/apache/poi/hssf/record/chart/EndRecord.html"
                                title="class in org.apache.poi.hssf.record.chart">EndRecord</a>, <a
                                href="../../../../../org/apache/poi/hssf/record/EOFRecord.html"
                                title="class in org.apache.poi.hssf.record">EOFRecord</a>, <a
                                href="../../../../../org/apache/poi/hssf/record/ExtendedFormatRecord.html"
                                title="class in org.apache.poi.hssf.record">ExtendedFormatRecord</a>, <a
                                href="../../../../../org/apache/poi/hssf/record/pivottable/ExtendedPivotTableViewFieldsRecord.html"
                                title="class in org.apache.poi.hssf.record.pivottable">ExtendedPivotTableViewFieldsRecord</a>,
                        <a href="../../../../../org/apache/poi/hssf/record/ExternalNameRecord.html"
                           title="class in org.apache.poi.hssf.record">ExternalNameRecord</a>, <a
                                href="../../../../../org/apache/poi/hssf/record/ExternSheetRecord.html"
                                title="class in org.apache.poi.hssf.record">ExternSheetRecord</a>, <a
                                href="../../../../../org/apache/poi/hssf/record/FeatHdrRecord.html"
                                title="class in org.apache.poi.hssf.record">FeatHdrRecord</a>, <a
                                href="../../../../../org/apache/poi/hssf/record/FeatRecord.html"
                                title="class in org.apache.poi.hssf.record">FeatRecord</a>, <a
                                href="../../../../../org/apache/poi/hssf/record/FilePassRecord.html"
                                title="class in org.apache.poi.hssf.record">FilePassRecord</a>, <a
                                href="../../../../../org/apache/poi/hssf/record/FileSharingRecord.html"
                                title="class in org.apache.poi.hssf.record">FileSharingRecord</a>, <a
                                href="../../../../../org/apache/poi/hssf/record/FnGroupCountRecord.html"
                                title="class in org.apache.poi.hssf.record">FnGroupCountRecord</a>, <a
                                href="../../../../../org/apache/poi/hssf/record/chart/FontBasisRecord.html"
                                title="class in org.apache.poi.hssf.record.chart">FontBasisRecord</a>, <a
                                href="../../../../../org/apache/poi/hssf/record/chart/FontIndexRecord.html"
                                title="class in org.apache.poi.hssf.record.chart">FontIndexRecord</a>, <a
                                href="../../../../../org/apache/poi/hssf/record/FontRecord.html"
                                title="class in org.apache.poi.hssf.record">FontRecord</a>, <a
                                href="../../../../../org/apache/poi/hssf/record/FormatRecord.html"
                                title="class in org.apache.poi.hssf.record">FormatRecord</a>, <a
                                href="../../../../../org/apache/poi/hssf/record/chart/FrameRecord.html"
                                title="class in org.apache.poi.hssf.record.chart">FrameRecord</a>, <a
                                href="../../../../../org/apache/poi/hssf/record/GridsetRecord.html"
                                title="class in org.apache.poi.hssf.record">GridsetRecord</a>, <a
                                href="../../../../../org/apache/poi/hssf/record/GutsRecord.html"
                                title="class in org.apache.poi.hssf.record">GutsRecord</a>, <a
                                href="../../../../../org/apache/poi/hssf/record/HCenterRecord.html"
                                title="class in org.apache.poi.hssf.record">HCenterRecord</a>, <a
                                href="../../../../../org/apache/poi/hssf/record/HeaderFooterBase.html"
                                title="class in org.apache.poi.hssf.record">HeaderFooterBase</a>, <a
                                href="../../../../../org/apache/poi/hssf/record/HeaderFooterRecord.html"
                                title="class in org.apache.poi.hssf.record">HeaderFooterRecord</a>, <a
                                href="../../../../../org/apache/poi/hssf/record/HideObjRecord.html"
                                title="class in org.apache.poi.hssf.record">HideObjRecord</a>, <a
                                href="../../../../../org/apache/poi/hssf/record/HyperlinkRecord.html"
                                title="class in org.apache.poi.hssf.record">HyperlinkRecord</a>, <a
                                href="../../../../../org/apache/poi/hssf/record/IndexRecord.html"
                                title="class in org.apache.poi.hssf.record">IndexRecord</a>, <a
                                href="../../../../../org/apache/poi/hssf/record/InterfaceEndRecord.html"
                                title="class in org.apache.poi.hssf.record">InterfaceEndRecord</a>, <a
                                href="../../../../../org/apache/poi/hssf/record/InterfaceHdrRecord.html"
                                title="class in org.apache.poi.hssf.record">InterfaceHdrRecord</a>, <a
                                href="../../../../../org/apache/poi/hssf/record/IterationRecord.html"
                                title="class in org.apache.poi.hssf.record">IterationRecord</a>, <a
                                href="../../../../../org/apache/poi/hssf/record/LeftMarginRecord.html"
                                title="class in org.apache.poi.hssf.record">LeftMarginRecord</a>, <a
                                href="../../../../../org/apache/poi/hssf/record/chart/LegendRecord.html"
                                title="class in org.apache.poi.hssf.record.chart">LegendRecord</a>, <a
                                href="../../../../../org/apache/poi/hssf/record/chart/LineFormatRecord.html"
                                title="class in org.apache.poi.hssf.record.chart">LineFormatRecord</a>, <a
                                href="../../../../../org/apache/poi/hssf/record/chart/LinkedDataRecord.html"
                                title="class in org.apache.poi.hssf.record.chart">LinkedDataRecord</a>, <a
                                href="../../../../../org/apache/poi/hssf/record/MergeCellsRecord.html"
                                title="class in org.apache.poi.hssf.record">MergeCellsRecord</a>, <a
                                href="../../../../../org/apache/poi/hssf/record/MMSRecord.html"
                                title="class in org.apache.poi.hssf.record">MMSRecord</a>, <a
                                href="../../../../../org/apache/poi/hssf/record/MulBlankRecord.html"
                                title="class in org.apache.poi.hssf.record">MulBlankRecord</a>, <a
                                href="../../../../../org/apache/poi/hssf/record/MulRKRecord.html"
                                title="class in org.apache.poi.hssf.record">MulRKRecord</a>, <a
                                href="../../../../../org/apache/poi/hssf/record/NameCommentRecord.html"
                                title="class in org.apache.poi.hssf.record">NameCommentRecord</a>, <a
                                href="../../../../../org/apache/poi/hssf/record/NoteRecord.html"
                                title="class in org.apache.poi.hssf.record">NoteRecord</a>, <a
                                href="../../../../../org/apache/poi/hssf/record/chart/NumberFormatIndexRecord.html"
                                title="class in org.apache.poi.hssf.record.chart">NumberFormatIndexRecord</a>, <a
                                href="../../../../../org/apache/poi/hssf/record/chart/ObjectLinkRecord.html"
                                title="class in org.apache.poi.hssf.record.chart">ObjectLinkRecord</a>, <a
                                href="../../../../../org/apache/poi/hssf/record/ObjectProtectRecord.html"
                                title="class in org.apache.poi.hssf.record">ObjectProtectRecord</a>, <a
                                href="../../../../../org/apache/poi/hssf/record/PageBreakRecord.html"
                                title="class in org.apache.poi.hssf.record">PageBreakRecord</a>, <a
                                href="../../../../../org/apache/poi/hssf/record/pivottable/PageItemRecord.html"
                                title="class in org.apache.poi.hssf.record.pivottable">PageItemRecord</a>, <a
                                href="../../../../../org/apache/poi/hssf/record/PaletteRecord.html"
                                title="class in org.apache.poi.hssf.record">PaletteRecord</a>, <a
                                href="../../../../../org/apache/poi/hssf/record/PaneRecord.html"
                                title="class in org.apache.poi.hssf.record">PaneRecord</a>, <a
                                href="../../../../../org/apache/poi/hssf/record/PasswordRecord.html"
                                title="class in org.apache.poi.hssf.record">PasswordRecord</a>, <a
                                href="../../../../../org/apache/poi/hssf/record/PasswordRev4Record.html"
                                title="class in org.apache.poi.hssf.record">PasswordRev4Record</a>, <a
                                href="../../../../../org/apache/poi/hssf/record/chart/PlotAreaRecord.html"
                                title="class in org.apache.poi.hssf.record.chart">PlotAreaRecord</a>, <a
                                href="../../../../../org/apache/poi/hssf/record/chart/PlotGrowthRecord.html"
                                title="class in org.apache.poi.hssf.record.chart">PlotGrowthRecord</a>, <a
                                href="../../../../../org/apache/poi/hssf/record/PrecisionRecord.html"
                                title="class in org.apache.poi.hssf.record">PrecisionRecord</a>, <a
                                href="../../../../../org/apache/poi/hssf/record/PrintGridlinesRecord.html"
                                title="class in org.apache.poi.hssf.record">PrintGridlinesRecord</a>, <a
                                href="../../../../../org/apache/poi/hssf/record/PrintHeadersRecord.html"
                                title="class in org.apache.poi.hssf.record">PrintHeadersRecord</a>, <a
                                href="../../../../../org/apache/poi/hssf/record/PrintSetupRecord.html"
                                title="class in org.apache.poi.hssf.record">PrintSetupRecord</a>, <a
                                href="../../../../../org/apache/poi/hssf/record/ProtectionRev4Record.html"
                                title="class in org.apache.poi.hssf.record">ProtectionRev4Record</a>, <a
                                href="../../../../../org/apache/poi/hssf/record/ProtectRecord.html"
                                title="class in org.apache.poi.hssf.record">ProtectRecord</a>, <a
                                href="../../../../../org/apache/poi/hssf/record/RecalcIdRecord.html"
                                title="class in org.apache.poi.hssf.record">RecalcIdRecord</a>, <a
                                href="../../../../../org/apache/poi/hssf/record/RefModeRecord.html"
                                title="class in org.apache.poi.hssf.record">RefModeRecord</a>, <a
                                href="../../../../../org/apache/poi/hssf/record/RefreshAllRecord.html"
                                title="class in org.apache.poi.hssf.record">RefreshAllRecord</a>, <a
                                href="../../../../../org/apache/poi/hssf/record/RightMarginRecord.html"
                                title="class in org.apache.poi.hssf.record">RightMarginRecord</a>, <a
                                href="../../../../../org/apache/poi/hssf/record/RowRecord.html"
                                title="class in org.apache.poi.hssf.record">RowRecord</a>, <a
                                href="../../../../../org/apache/poi/hssf/record/SaveRecalcRecord.html"
                                title="class in org.apache.poi.hssf.record">SaveRecalcRecord</a>, <a
                                href="../../../../../org/apache/poi/hssf/record/ScenarioProtectRecord.html"
                                title="class in org.apache.poi.hssf.record">ScenarioProtectRecord</a>, <a
                                href="../../../../../org/apache/poi/hssf/record/SCLRecord.html"
                                title="class in org.apache.poi.hssf.record">SCLRecord</a>, <a
                                href="../../../../../org/apache/poi/hssf/record/SelectionRecord.html"
                                title="class in org.apache.poi.hssf.record">SelectionRecord</a>, <a
                                href="../../../../../org/apache/poi/hssf/record/chart/SeriesChartGroupIndexRecord.html"
                                title="class in org.apache.poi.hssf.record.chart">SeriesChartGroupIndexRecord</a>, <a
                                href="../../../../../org/apache/poi/hssf/record/chart/SeriesIndexRecord.html"
                                title="class in org.apache.poi.hssf.record.chart">SeriesIndexRecord</a>, <a
                                href="../../../../../org/apache/poi/hssf/record/chart/SeriesLabelsRecord.html"
                                title="class in org.apache.poi.hssf.record.chart">SeriesLabelsRecord</a>, <a
                                href="../../../../../org/apache/poi/hssf/record/chart/SeriesListRecord.html"
                                title="class in org.apache.poi.hssf.record.chart">SeriesListRecord</a>, <a
                                href="../../../../../org/apache/poi/hssf/record/chart/SeriesRecord.html"
                                title="class in org.apache.poi.hssf.record.chart">SeriesRecord</a>, <a
                                href="../../../../../org/apache/poi/hssf/record/chart/SeriesTextRecord.html"
                                title="class in org.apache.poi.hssf.record.chart">SeriesTextRecord</a>, <a
                                href="../../../../../org/apache/poi/hssf/record/chart/SeriesToChartGroupRecord.html"
                                title="class in org.apache.poi.hssf.record.chart">SeriesToChartGroupRecord</a>, <a
                                href="../../../../../org/apache/poi/hssf/record/SharedValueRecordBase.html"
                                title="class in org.apache.poi.hssf.record">SharedValueRecordBase</a>, <a
                                href="../../../../../org/apache/poi/hssf/record/chart/SheetPropertiesRecord.html"
                                title="class in org.apache.poi.hssf.record.chart">SheetPropertiesRecord</a>, <a
                                href="../../../../../org/apache/poi/hssf/record/pivottable/StreamIDRecord.html"
                                title="class in org.apache.poi.hssf.record.pivottable">StreamIDRecord</a>, <a
                                href="../../../../../org/apache/poi/hssf/record/StyleRecord.html"
                                title="class in org.apache.poi.hssf.record">StyleRecord</a>, <a
                                href="../../../../../org/apache/poi/hssf/record/SupBookRecord.html"
                                title="class in org.apache.poi.hssf.record">SupBookRecord</a>, <a
                                href="../../../../../org/apache/poi/hssf/record/TabIdRecord.html"
                                title="class in org.apache.poi.hssf.record">TabIdRecord</a>, <a
                                href="../../../../../org/apache/poi/hssf/record/TableStylesRecord.html"
                                title="class in org.apache.poi.hssf.record">TableStylesRecord</a>, <a
                                href="../../../../../org/apache/poi/hssf/record/chart/TextRecord.html"
                                title="class in org.apache.poi.hssf.record.chart">TextRecord</a>, <a
                                href="../../../../../org/apache/poi/hssf/record/chart/TickRecord.html"
                                title="class in org.apache.poi.hssf.record.chart">TickRecord</a>, <a
                                href="../../../../../org/apache/poi/hssf/record/TopMarginRecord.html"
                                title="class in org.apache.poi.hssf.record">TopMarginRecord</a>, <a
                                href="../../../../../org/apache/poi/hssf/record/UncalcedRecord.html"
                                title="class in org.apache.poi.hssf.record">UncalcedRecord</a>, <a
                                href="../../../../../org/apache/poi/hssf/record/chart/UnitsRecord.html"
                                title="class in org.apache.poi.hssf.record.chart">UnitsRecord</a>, <a
                                href="../../../../../org/apache/poi/hssf/record/UnknownRecord.html"
                                title="class in org.apache.poi.hssf.record">UnknownRecord</a>, <a
                                href="../../../../../org/apache/poi/hssf/record/UserSViewBegin.html"
                                title="class in org.apache.poi.hssf.record">UserSViewBegin</a>, <a
                                href="../../../../../org/apache/poi/hssf/record/UserSViewEnd.html"
                                title="class in org.apache.poi.hssf.record">UserSViewEnd</a>, <a
                                href="../../../../../org/apache/poi/hssf/record/UseSelFSRecord.html"
                                title="class in org.apache.poi.hssf.record">UseSelFSRecord</a>, <a
                                href="../../../../../org/apache/poi/hssf/record/chart/ValueRangeRecord.html"
                                title="class in org.apache.poi.hssf.record.chart">ValueRangeRecord</a>, <a
                                href="../../../../../org/apache/poi/hssf/record/VCenterRecord.html"
                                title="class in org.apache.poi.hssf.record">VCenterRecord</a>, <a
                                href="../../../../../org/apache/poi/hssf/record/pivottable/ViewDefinitionRecord.html"
                                title="class in org.apache.poi.hssf.record.pivottable">ViewDefinitionRecord</a>, <a
                                href="../../../../../org/apache/poi/hssf/record/pivottable/ViewFieldsRecord.html"
                                title="class in org.apache.poi.hssf.record.pivottable">ViewFieldsRecord</a>, <a
                                href="../../../../../org/apache/poi/hssf/record/pivottable/ViewSourceRecord.html"
                                title="class in org.apache.poi.hssf.record.pivottable">ViewSourceRecord</a>, <a
                                href="../../../../../org/apache/poi/hssf/record/WindowOneRecord.html"
                                title="class in org.apache.poi.hssf.record">WindowOneRecord</a>, <a
                                href="../../../../../org/apache/poi/hssf/record/WindowProtectRecord.html"
                                title="class in org.apache.poi.hssf.record">WindowProtectRecord</a>, <a
                                href="../../../../../org/apache/poi/hssf/record/WindowTwoRecord.html"
                                title="class in org.apache.poi.hssf.record">WindowTwoRecord</a>, <a
                                href="../../../../../org/apache/poi/hssf/record/WriteAccessRecord.html"
                                title="class in org.apache.poi.hssf.record">WriteAccessRecord</a>, <a
                                href="../../../../../org/apache/poi/hssf/record/WriteProtectRecord.html"
                                title="class in org.apache.poi.hssf.record">WriteProtectRecord</a>, <a
                                href="../../../../../org/apache/poi/hssf/record/WSBoolRecord.html"
                                title="class in org.apache.poi.hssf.record">WSBoolRecord</a></dd>
                </dl>
                <hr>
                <br>
                <pre>public abstract class <span class="typeNameLabel">StandardRecord</span>
extends <a href="../../../../../org/apache/poi/hssf/record/Record.html" title="class in org.apache.poi.hssf.record">Record</a></pre>
                <div class="block">Subclasses of this class (the majority of BIFF records) are non-continuable. This
                    allows for
                    some simplification of serialization logic
                </div>
            </li>
        </ul>
    </div>
    <div class="summary">
        <ul class="blockList">
            <li class="blockList">
                <!-- ======== CONSTRUCTOR SUMMARY ======== -->
                <ul class="blockList">
                    <li class="blockList"><a name="constructor.summary">
                        <!--   -->
                    </a>
                        <h3>Constructor Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Constructor Summary table, listing constructors, and an explanation">
                            <caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
                            <tr>
                                <th class="colOne" scope="col">Constructor and Description</th>
                            </tr>
                            <tr class="altColor">
                                <td class="colOne"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/record/StandardRecord.html#StandardRecord--">StandardRecord</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                        </table>
                    </li>
                </ul>
                <!-- ========== METHOD SUMMARY =========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="method.summary">
                        <!--   -->
                    </a>
                        <h3>Method Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Method Summary table, listing methods, and an explanation">
                            <caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span
                                    id="t2" class="tableTab"><span><a
                                    href="javascript:show(2);">Instance Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span><span id="t3" class="tableTab"><span><a
                                    href="javascript:show(4);">Abstract Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a
                                    href="javascript:show(8);">Concrete Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span></caption>
                            <tr>
                                <th class="colFirst" scope="col">Modifier and Type</th>
                                <th class="colLast" scope="col">Method and Description</th>
                            </tr>
                            <tr id="i0" class="altColor">
                                <td class="colFirst"><code>protected abstract int</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/record/StandardRecord.html#getDataSize--">getDataSize</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i1" class="rowColor">
                                <td class="colFirst"><code>int</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/record/StandardRecord.html#getRecordSize--">getRecordSize</a></span>()</code>
                                    <div class="block">gives the current serialized size of the record.</div>
                                </td>
                            </tr>
                            <tr id="i2" class="altColor">
                                <td class="colFirst"><code>int</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/record/StandardRecord.html#serialize-int-byte:A-">serialize</a></span>(int&nbsp;offset,
                                    byte[]&nbsp;data)</code>
                                    <div class="block">Write the data content of this BIFF record including the sid and
                                        record length.
                                    </div>
                                </td>
                            </tr>
                            <tr id="i3" class="rowColor">
                                <td class="colFirst"><code>protected abstract void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/record/StandardRecord.html#serialize-org.apache.poi.util.LittleEndianOutput-">serialize</a></span>(<a
                                        href="../../../../../org/apache/poi/util/LittleEndianOutput.html"
                                        title="interface in org.apache.poi.util">LittleEndianOutput</a>&nbsp;out)</code>
                                    <div class="block">Write the data content of this BIFF record.</div>
                                </td>
                            </tr>
                        </table>
                        <ul class="blockList">
                            <li class="blockList"><a
                                    name="methods.inherited.from.class.org.apache.poi.hssf.record.Record">
                                <!--   -->
                            </a>
                                <h3>Methods inherited from class&nbsp;org.apache.poi.hssf.record.<a
                                        href="../../../../../org/apache/poi/hssf/record/Record.html"
                                        title="class in org.apache.poi.hssf.record">Record</a></h3>
                                <code><a href="../../../../../org/apache/poi/hssf/record/Record.html#clone--">clone</a>,
                                    <a href="../../../../../org/apache/poi/hssf/record/Record.html#cloneViaReserialise--">cloneViaReserialise</a>,
                                    <a href="../../../../../org/apache/poi/hssf/record/Record.html#getSid--">getSid</a>,
                                    <a href="../../../../../org/apache/poi/hssf/record/Record.html#serialize--">serialize</a>,
                                    <a href="../../../../../org/apache/poi/hssf/record/Record.html#toString--">toString</a></code>
                            </li>
                        </ul>
                        <ul class="blockList">
                            <li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
                                <!--   -->
                            </a>
                                <h3>Methods inherited from class&nbsp;java.lang.Object</h3>
                                <code>equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait</code>
                            </li>
                        </ul>
                    </li>
                </ul>
            </li>
        </ul>
    </div>
    <div class="details">
        <ul class="blockList">
            <li class="blockList">
                <!-- ========= CONSTRUCTOR DETAIL ======== -->
                <ul class="blockList">
                    <li class="blockList"><a name="constructor.detail">
                        <!--   -->
                    </a>
                        <h3>Constructor Detail</h3>
                        <a name="StandardRecord--">
                            <!--   -->
                        </a>
                        <ul class="blockListLast">
                            <li class="blockList">
                                <h4>StandardRecord</h4>
                                <pre>public&nbsp;StandardRecord()</pre>
                            </li>
                        </ul>
                    </li>
                </ul>
                <!-- ============ METHOD DETAIL ========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="method.detail">
                        <!--   -->
                    </a>
                        <h3>Method Detail</h3>
                        <a name="getDataSize--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getDataSize</h4>
                                <pre>protected abstract&nbsp;int&nbsp;getDataSize()</pre>
                            </li>
                        </ul>
                        <a name="getRecordSize--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getRecordSize</h4>
                                <pre>public final&nbsp;int&nbsp;getRecordSize()</pre>
                                <div class="block"><span
                                        class="descfrmTypeLabel">Description copied from class:&nbsp;<code><a
                                        href="../../../../../org/apache/poi/hssf/record/RecordBase.html#getRecordSize--">RecordBase</a></code></span>
                                </div>
                                <div class="block">gives the current serialized size of the record. Should include the
                                    sid
                                    and reclength (4 bytes).
                                </div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/hssf/record/RecordBase.html#getRecordSize--">getRecordSize</a></code>&nbsp;in
                                        class&nbsp;<code><a
                                                href="../../../../../org/apache/poi/hssf/record/RecordBase.html"
                                                title="class in org.apache.poi.hssf.record">RecordBase</a></code></dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>the record size</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="serialize-int-byte:A-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>serialize</h4>
                                <pre>public final&nbsp;int&nbsp;serialize(int&nbsp;offset,
                           byte[]&nbsp;data)</pre>
                                <div class="block">Write the data content of this BIFF record including the sid and
                                    record length.
                                    <p>
                                        The subclass must write the exact number of bytes as reported by
                                        <a href="../../../../../org/apache/poi/hssf/record/RecordBase.html#getRecordSize--"><code>RecordBase.getRecordSize()</code></a>}
                                </div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/hssf/record/RecordBase.html#serialize-int-byte:A-">serialize</a></code>&nbsp;in
                                        class&nbsp;<code><a
                                                href="../../../../../org/apache/poi/hssf/record/RecordBase.html"
                                                title="class in org.apache.poi.hssf.record">RecordBase</a></code></dd>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>offset</code> - to begin writing at</dd>
                                    <dd><code>data</code> - byte array containing instance data</dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>number of bytes written</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="serialize-org.apache.poi.util.LittleEndianOutput-">
                            <!--   -->
                        </a>
                        <ul class="blockListLast">
                            <li class="blockList">
                                <h4>serialize</h4>
                                <pre>protected abstract&nbsp;void&nbsp;serialize(<a
                                        href="../../../../../org/apache/poi/util/LittleEndianOutput.html"
                                        title="interface in org.apache.poi.util">LittleEndianOutput</a>&nbsp;out)</pre>
                                <div class="block">Write the data content of this BIFF record. The 'ushort sid' and
                                    'ushort size' header fields
                                    have already been written by the superclass.
                                    <p>
                                        The number of bytes written must equal the record size reported by
                                        <a href="../../../../../org/apache/poi/hssf/record/RecordBase.html#getRecordSize--"><code>RecordBase.getRecordSize()</code></a>}
                                        minus four
                                        ( record header consisting of a 'ushort sid' and 'ushort reclength' has already
                                        been written
                                        by their superclass).</div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>out</code> - the output object</dd>
                                </dl>
                            </li>
                        </ul>
                    </li>
                </ul>
            </li>
        </ul>
    </div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.bottom.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li class="navBarCell1Rev">Class</li>
        <li><a href="class-use/StandardRecord.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../../org/apache/poi/hssf/record/SSTRecord.html"
               title="class in org.apache.poi.hssf.record"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
        <li><a href="../../../../../org/apache/poi/hssf/record/StringRecord.html"
               title="class in org.apache.poi.hssf.record"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../index.html?org/apache/poi/hssf/record/StandardRecord.html" target="_top">Frames</a>
        </li>
        <li><a href="StandardRecord.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_bottom">
        <li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <div>
        <ul class="subNavList">
            <li>Summary:&nbsp;</li>
            <li>Nested&nbsp;|&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.summary">Method</a></li>
        </ul>
        <ul class="subNavList">
            <li>Detail:&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.detail">Method</a></li>
        </ul>
    </div>
    <a name="skip.navbar.bottom">
        <!--   -->
    </a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy">
    <small>
        <i>Copyright 2018 The Apache Software Foundation or
            its licensors, as applicable.</i>
    </small>
</p>
</body>
</html>
